import { world, Player } from "@minecraft/server";

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    const item = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (item?.typeId === 'minecraft:diamond_sword' && player.hasTag('knockback_enabled')) {
       
        const entities = world.getDimension(player.dimension.id).getEntities({location: player.location, radius: 5});
        for(entity of entities) {
            entity.applyKnockback(0, 0, 0, 1);
        }
  }
});
